%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 3
Summary:        Linux Distribution - a Linux OS platform information API
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     lsb-release

%description -n python3-%{pypi_name} %{_description}

%package        cli
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description cli %{_description}

This package provides the %{_bindir}/distro CLI utility.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files distro

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.md
%license LICENSE

%files cli
%{_bindir}/distro


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.0-3.mga10
+ Revision: 2236815
- Mageia 10 Mass Rebuild

* Mon Feb 24 2025 wally <wally> 1.9.0-2.mga10
+ Revision: 2151911
- rebuild for python3.13

* Wed Jun 26 2024 papoteur <papoteur> 1.9.0-1.mga10
+ Revision: 2077091
- new version 1.9.0

* Tue Dec 12 2023 papoteur <papoteur> 1.8.0-3.mga10
+ Revision: 2017340
- rebuild for python3.12

* Thu Dec 07 2023 wally <wally> 1.8.0-2.mga10
+ Revision: 2015217
- rebuild for py3.12
- use %%pyproject_buildrequires

* Sat Jun 17 2023 kekepower <kekepower> 1.8.0-1.mga9
+ Revision: 1962234
- Update to version 1.8.0

* Tue Sep 06 2022 neoclust <neoclust> 1.7.0-1.mga9
+ Revision: 1884534
- New version

* Wed Mar 23 2022 umeabot <umeabot> 1.6.0-3.mga9
+ Revision: 1822245
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.6.0-2.mga9
+ Revision: 1772226
- rebuild for python3.10

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.6.0-1.mga9
+ Revision: 1740642
- 1.6.0
- update URL

* Mon Mar 15 2021 wally <wally> 1.5.0-2.mga9
+ Revision: 1703105
- rebuild for python 3.9

* Tue Jun 09 2020 joequant <joequant> 1.5.0-1.mga8
+ Revision: 1591241
- update to 1.5.0

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1530995
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 1.4.0-2.mga8
+ Revision: 1438335
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 1.4.0-1.mga7
+ Revision: 1394211
- new version 1.4

* Sat Jan 12 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1355598
- new version 1.3.0

* Sat Jan 05 2019 wally <wally> 1.0.2-8.mga7
+ Revision: 1349841
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-7.mga7
+ Revision: 1288676
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.2-6.mga7
+ Revision: 1135369
- Rebuild for python 3.6

* Thu Mar 16 2017 ngompa <ngompa> 1.0.2-5.mga6
+ Revision: 1093149
- Port to Mageia
- imported package python-distro


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Miroslav Suchý <msuchy@redhat.com> 1.0.2-3
- typo in license macro

* Tue Jan 24 2017 Miroslav Suchý <msuchy@redhat.com> 1.0.2-2
- add license macro for el6

* Tue Jan 24 2017 Miroslav Suchý <msuchy@redhat.com> 1.0.2-1
- update to 1.0.2
- 1415667 - require python-argparse on EL6

* Tue Jan 03 2017 Miroslav Suchý <msuchy@redhat.com> 1.0.1-2
- soft deps on lsb_release

* Sun Jan 01 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.1-1
- Update to 1.0.1
- Provide only one copy of $bindir/distro
- Cleanups in spec

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-7
- Rebuild for Python 3.6

* Thu Oct 06 2016 Miroslav Suchý <msuchy@redhat.com> 1.0.0-6
- polish spec according the package review

* Wed Oct 05 2016 Miroslav Suchý <msuchy@redhat.com> 1.0.0-5
- use python3 in /usr/bin/distro on Fedoras

* Wed Oct 05 2016 Miroslav Suchý <msuchy@redhat.com> 1.0.0-4
- use python3 in /usr/bin/distro on Fedoras

* Wed Oct 05 2016 Miroslav Suchý <msuchy@redhat.com> 1.0.0-3
- python2 subpackages only on rhel
- correct description

* Wed Oct 05 2016 Miroslav Suchý 1.0.0-2
- require lsb_release

* Wed Oct 05 2016 Miroslav Suchý 1.0.0-1
- initial packaging

